#### D.2.4.3 pdivi

Procedure from library `grobcov.lib` (see grobcov_lib).

Usage:
  pdivi(poly f,ideal F);
  poly f: the polynomial in Q[a][x] to be divided
  ideal F: the divisor ideal in Q[a][x].
  (a=parameters, x=variables).

Return:
  A list (poly r, ideal q, poly m). r is the remainder
  of the pseudodivision, q is the set of quotients,
  and m is the coefficient factor by which f is to
  be multiplied.

Note:
  pseudodivision of a poly f by an ideal F in Q[a][x].
  Returns a list (r,q,m) such that
  m*f=r+sum(q.F),
  and no lpp of a divisor divides a pp of r.

Example:

    LIB "grobcov.lib";
    "RXAMPLE:";
    ==> RXAMPLE:
    // Division of a polynom by an ideal
    if(defined(R)){kill R;}
    ring R=(0,a,b,c),(x,y),dp;
    short=0;
    // Divisor
    poly f=(ab-ac)*xy+(ab)*x+(5c);
    // Dividends
    ideal F=ax+b,
    cy+a;
    // (Remainder, quotients, factor)
    def r=pdivi(f,F);
    r;
    ==> [1]:
    ==>    (a*b^2-a*b*c-b^2*c+5*c^2)
    ==> [2]:
    ==>    _[1]=(b*c-c^2)*y+(b*c)
    ==>    _[2]=(-b^2+b*c)
    ==> [3]:
    ==>    (c)
    // Verifying the division
    r[3]*f-(r[2][1]*F[1]+r[2][2]*F[2]+r[1]);
    ==> 0

User manual for Singular version 4.4.1, 2025, generated by texi2html.